diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index 7262f95a..b8796a92 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -9,20 +9,22 @@
 
 """Defines views for management of Fts Dictionary node"""
 
-import simplejson as json
 from functools import wraps
 
-import pgadmin.browser.server_groups.servers.databases as databases
+import simplejson as json
 from flask import render_template, make_response, current_app, request, jsonify
 from flask_babel import gettext as _
+
+import pgadmin.browser.server_groups.servers.databases as databases
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases.schemas.utils \
     import SchemaChildModule
 from pgadmin.browser.utils import PGChildNodeView
+from pgadmin.utils import IS_PY2
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
-from pgadmin.utils import IS_PY2
+
 # If we are in Python3
 if not IS_PY2:
     unicode = str
@@ -122,7 +124,8 @@ class FtsDictionaryView(PGChildNodeView):
       - This function is used to list all the  nodes within that collection.
 
     * nodes()
-      - This function will be used to create all the child node within collection.
+      - This function will be used to create all the child node within
+      collection.
         Here it will create all the FTS Dictionary nodes.
 
     * node()
@@ -130,7 +133,8 @@ class FtsDictionaryView(PGChildNodeView):
         Here it will create the FTS Template node based on its oid
 
     * properties(gid, sid, did, scid, dcid)
-      - This function will show the properties of the selected FTS Dictionary node
+      - This function will show the properties of the selected FTS Dictionary
+      node
 
     * create(gid, sid, did, scid)
       - This function will create the new FTS Dictionary object
@@ -228,9 +232,11 @@ class FtsDictionaryView(PGChildNodeView):
             driver = get_driver(PG_DEFAULT_DRIVER)
             self.qtIdent = driver.qtIdent
             # Set the template path for the SQL scripts
-            self.template_path = 'fts_dictionary/sql/#{0}#'.format(self.manager.version)
+            self.template_path = 'fts_dictionary/sql/#{0}#'.format(
+                self.manager.version)
 
             return f(*args, **kwargs)
+
         return wrap
 
     def tokenize_options(self, option_value):
@@ -384,9 +390,9 @@ class FtsDictionaryView(PGChildNodeView):
         if res['rows'][0]['template_schema'] is not None:
             if res['rows'][0]['template_schema'] != "pg_catalog":
                 res['rows'][0]['template'] = self.qtIdent(
-                        self.conn, res['rows'][0]['template_schema'],
-                        res['rows'][0]['template']
-                    )
+                    self.conn, res['rows'][0]['template_schema'],
+                    res['rows'][0]['template']
+                )
 
         if res['rows'][0]['options'] is not None:
             res['rows'][0]['options'] = self.tokenize_options(
@@ -423,7 +429,8 @@ class FtsDictionaryView(PGChildNodeView):
                 return make_json_response(
                     status=410,
                     success=0,
-                    errormsg=_("Could not find the required parameter (%s)." % arg)
+                    errormsg=_(
+                        "Could not find the required parameter (%s)." % arg)
                 )
         # Fetch schema name from schema oid
         sql = render_template(
@@ -456,7 +463,7 @@ class FtsDictionaryView(PGChildNodeView):
             name=data['name'],
             scid=data['schema']
         )
-        status, dcid= self.conn.execute_scalar(sql)
+        status, dcid = self.conn.execute_scalar(sql)
         if not status:
             return internal_server_error(errormsg=dcid)
 
@@ -612,7 +619,7 @@ class FtsDictionaryView(PGChildNodeView):
         return make_json_response(
             data=SQL,
             status=200
-            )
+        )
 
     def get_sql(self, gid, sid, did, scid, data, dcid=None):
         """
@@ -681,7 +688,10 @@ class FtsDictionaryView(PGChildNodeView):
                 data=new_data, o_data=old_data
             )
             # Fetch sql query for modified data
-            return sql.strip('\n'), data['name'] if 'name' in data else old_data['name']
+            if 'name' in data:
+                return sql.strip('\n'), data['name']
+
+            return sql.strip('\n'), old_data['name']
         else:
             # Fetch schema name from schema oid
             sql = render_template("/".join([self.template_path, 'schema.sql']),
@@ -695,9 +705,11 @@ class FtsDictionaryView(PGChildNodeView):
             new_data = data.copy()
             new_data['schema'] = schema
 
-            if 'template' in new_data and \
-                            'name' in new_data and \
-                            'schema' in new_data:
+            if (
+                'template' in new_data and
+                'name' in new_data and
+                'schema' in new_data
+            ):
                 sql = render_template("/".join([self.template_path,
                                                 'create.sql']),
                                       data=new_data,
@@ -803,7 +815,8 @@ class FtsDictionaryView(PGChildNodeView):
 
 -- DROP TEXT SEARCH DICTIONARY {0};
 
-""".format(self.qtIdent(self.conn, res['rows'][0]['schema'], res['rows'][0]['name']))
+""".format(self.qtIdent(self.conn, res['rows'][0]['schema'],
+                        res['rows'][0]['name']))
 
         sql = sql_header + sql
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
index 414b728a..39bf2431 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
@@ -9,19 +9,22 @@
 
 """Defines views for management of FTS Parser node"""
 
-import simplejson as json
 from functools import wraps
 
+import simplejson as json
 from flask import render_template, request, jsonify, current_app
 from flask_babel import gettext as _
+
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases import DatabaseModule
-from pgadmin.browser.server_groups.servers.databases.schemas.utils import SchemaChildModule
+from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
+    SchemaChildModule
 from pgadmin.browser.utils import PGChildNodeView
+from pgadmin.utils import IS_PY2
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
-from pgadmin.utils import IS_PY2
+
 # If we are in Python3
 if not IS_PY2:
     unicode = str
@@ -192,11 +195,15 @@ class FtsParserView(PGChildNodeView):
         'dependency': [{'get': 'dependencies'}],
         'dependent': [{'get': 'dependents'}],
         'module.js': [{}, {}, {'get': 'module_js'}],
-        'start_functions': [{'get': 'start_functions'}, {'get': 'start_functions'}],
-        'token_functions': [{'get': 'token_functions'}, {'get': 'token_functions'}],
+        'start_functions': [{'get': 'start_functions'},
+                            {'get': 'start_functions'}],
+        'token_functions': [{'get': 'token_functions'},
+                            {'get': 'token_functions'}],
         'end_functions': [{'get': 'end_functions'}, {'get': 'end_functions'}],
-        'lextype_functions': [{'get': 'lextype_functions'}, {'get': 'lextype_functions'}],
-        'headline_functions': [{'get': 'headline_functions'}, {'get': 'headline_functions'}],
+        'lextype_functions': [{'get': 'lextype_functions'},
+                              {'get': 'lextype_functions'}],
+        'headline_functions': [{'get': 'headline_functions'},
+                               {'get': 'headline_functions'}],
     })
 
     def _init_(self, **kwargs):
@@ -227,9 +234,11 @@ class FtsParserView(PGChildNodeView):
                 kwargs['sid'])
             self.conn = self.manager.connection(did=kwargs['did'])
             # Set the template path for the SQL scripts
-            self.template_path = 'fts_parser/sql/#{0}#'.format(self.manager.version)
+            self.template_path = 'fts_parser/sql/#{0}#'.format(
+                self.manager.version)
 
             return f(*args, **kwargs)
+
         return wrap
 
     @check_precondition
@@ -310,7 +319,8 @@ class FtsParserView(PGChildNodeView):
             return internal_server_error(errormsg=res)
 
         if len(res['rows']) == 0:
-            return gone(_("Could not find the FTS Parser node in the database node."))
+            return gone(
+                _("Could not find the FTS Parser node in the database node."))
 
         return ajax_response(
             response=res['rows'][0],
@@ -442,7 +452,6 @@ class FtsParserView(PGChildNodeView):
             )
         )
 
-
     @check_precondition
     def delete(self, gid, sid, did, scid, pid):
         """
@@ -534,7 +543,7 @@ class FtsParserView(PGChildNodeView):
         return make_json_response(
             data=SQL,
             status=200
-            )
+        )
 
     def get_sql(self, gid, sid, did, scid, data, pid=None):
         """
@@ -597,7 +606,9 @@ class FtsParserView(PGChildNodeView):
                 o_data=old_data
             )
             # Fetch sql query for modified data
-            return sql.strip('\n'), data['name'] if 'name' in data else old_data['name']
+            if 'name' in data:
+                return sql.strip('\n'), data['name']
+            return sql.strip('\n'), old_data['name']
         else:
             # Fetch schema name from schema oid
             sql = render_template(
@@ -613,12 +624,14 @@ class FtsParserView(PGChildNodeView):
             new_data = data.copy()
             new_data['schema'] = schema
 
-            if 'prsstart' in new_data and \
-                            'prstoken' in new_data and \
-                            'prsend' in new_data and \
-                            'prslextype' in new_data and \
-                            'name' in new_data and \
-                            'schema' in new_data:
+            if (
+                'prsstart' in new_data and
+                'prstoken' in new_data and
+                'prsend' in new_data and
+                'prslextype' in new_data and
+                'name' in new_data and
+                'schema' in new_data
+            ):
                 sql = render_template(
                     "/".join([self.template_path, 'create.sql']),
                     data=new_data,
@@ -784,14 +797,16 @@ class FtsParserView(PGChildNodeView):
             if not status:
                 return internal_server_error(
                     _(
-                        "Could not generate reversed engineered query for the FTS Parser.\n{0}"
+                        "Could not generate reversed engineered query for the "
+                        "FTS Parser.\n{0}"
                     ).format(res)
                 )
 
             if res is None:
                 return gone(
                     _(
-                        "Could not generate reversed engineered query for FTS Parser node"
+                        "Could not generate reversed engineered query for "
+                        "FTS Parser node"
                     )
                 )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
index ae391abf..664fed64 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
@@ -61,9 +61,10 @@ class FtsParserDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        parser_response = fts_parser_utils.verify_fts_parser(self.server,
-                                                             self.db_name,
-                                                             self.fts_parser_name)
+        parser_response = fts_parser_utils.verify_fts_parser(
+            self.server,
+            self.db_name,
+            self.fts_parser_name)
 
         if not parser_response:
             raise Exception("Could not find the FTS parser.")
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
index 4c860ee3..b1ef78d3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
@@ -62,9 +62,10 @@ class FtsParserPutTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        parser_response = fts_parser_utils.verify_fts_parser(self.server,
-                                                             self.db_name,
-                                                             self.fts_parser_name)
+        parser_response = fts_parser_utils.verify_fts_parser(
+            self.server,
+            self.db_name,
+            self.fts_parser_name)
 
         if not parser_response:
             raise Exception("Could not find the FTS parser.")
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/utils.py
index 7a1c44fb..eac8724f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/utils.py
@@ -30,10 +30,12 @@ def create_fts_parser(server, db_name, schema_name, fts_parser_name):
                                        server['sslmode'])
         pg_cursor = connection.cursor()
 
-        query = "DROP TEXT SEARCH PARSER IF EXISTS " + schema_name + "." + fts_parser_name
+        query = "DROP TEXT SEARCH PARSER IF EXISTS " + schema_name + "." + \
+                fts_parser_name
         pg_cursor.execute(query)
 
-        query = "CREATE TEXT SEARCH PARSER " + schema_name + "." + fts_parser_name + \
+        query = "CREATE TEXT SEARCH PARSER " + schema_name + "." + \
+                fts_parser_name + \
                 "(START=prsd_start, GETTOKEN=prsd_nexttoken, " \
                 "END=prsd_end, LEXTYPES=dispell_init)"
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index e040fb2b..7aa05e97 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -9,19 +9,22 @@
 
 """Defines views for management of Fts Template node"""
 
-import simplejson as json
 from functools import wraps
 
+import simplejson as json
 from flask import render_template, make_response, request, jsonify
 from flask_babel import gettext
+
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases import DatabaseModule
-from pgadmin.browser.server_groups.servers.databases.schemas.utils import SchemaChildModule
+from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
+    SchemaChildModule
 from pgadmin.browser.utils import PGChildNodeView
+from pgadmin.utils import IS_PY2
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
-from pgadmin.utils import IS_PY2
+
 # If we are in Python3
 if not IS_PY2:
     unicode = str
@@ -36,7 +39,8 @@ class FtsTemplateModule(SchemaChildModule):
     Methods:
     -------
     * __init__(*args, **kwargs)
-      - Method is used to initialize the FtsTemplateModule and it's base module.
+      - Method is used to initialize the FtsTemplateModule and it's base
+      module.
 
     * get_nodes(gid, sid, did, scid)
       - Method is used to generate the browser collection node.
@@ -90,10 +94,11 @@ class FtsTemplateView(PGChildNodeView):
     """
     class FtsTemplateView(PGChildNodeView)
 
-        A view class for FTS Tempalte node derived from PGChildNodeView. This class is
-        responsible for all the stuff related to view like create/update/delete
-        responsible for all the stuff related to view like create/update/delete
-        FTS template, showing properties of node, showing sql in sql pane.
+        A view class for FTS Tempalte node derived from PGChildNodeView. This
+        class is responsible for all the stuff related to view like
+        create/update/delete responsible for all the stuff related to view
+        like create/update/delete FTS template, showing properties of node,
+        showing sql in sql pane.
 
     Methods:
     -------
@@ -113,11 +118,13 @@ class FtsTemplateView(PGChildNodeView):
       - This function is used to list all the  nodes within that collection.
 
     * nodes()
-      - This function will used to create all the child node within that collection.
+      - This function will used to create all the child node within that
+      collection.
         Here it will create all the FTS Template nodes.
 
     * properties(gid, sid, did, scid, tid)
-      - This function will show the properties of the selected FTS Template node
+      - This function will show the properties of the selected FTS Template
+      node
 
     * create(gid, sid, did, scid)
       - This function will create the new FTS Template object
@@ -129,22 +136,27 @@ class FtsTemplateView(PGChildNodeView):
       - This function will drop the FTS Template object
 
     * msql(gid, sid, did, scid, tid)
-      - This function is used to return modified SQL for the selected FTS Template node
+      - This function is used to return modified SQL for the selected FTS
+      Template node
 
     * get_sql(data, tid)
       - This function will generate sql from model data
 
     * sql(gid, sid, did, scid,  tid):
-      - This function will generate sql to show it in sql pane for the selected FTS Template node.
+      - This function will generate sql to show it in sql pane for the selected
+      FTS Template node.
 
     * get_type():
-      - This function will fetch all the types for source and target types select control.
+      - This function will fetch all the types for source and target types
+      select control.
 
     * dependents(gid, sid, did, scid, tid):
-      - This function get the dependents and return ajax response for the Fts Tempalte node.
+      - This function get the dependents and return ajax response for the
+      Fts Template node.
 
     * dependencies(self, gid, sid, did, scid, tid):
-      - This function get the dependencies and return ajax response for the FTS Tempalte node.
+      - This function get the dependencies and return ajax response for the
+      FTS Template node.
 
     """
 
@@ -212,9 +224,11 @@ class FtsTemplateView(PGChildNodeView):
             self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
                 kwargs['sid'])
             self.conn = self.manager.connection(did=kwargs['did'])
-            self.template_path = 'fts_template/sql/#{0}#'.format(self.manager.version)
+            self.template_path = 'fts_template/sql/#{0}#'.format(
+                self.manager.version)
 
             return f(*args, **kwargs)
+
         return wrap
 
     @check_precondition
@@ -502,7 +516,7 @@ class FtsTemplateView(PGChildNodeView):
         return make_json_response(
             data=SQL,
             status=200
-            )
+        )
 
     def get_sql(self, gid, sid, did, scid, data, tid=None):
         """
@@ -533,7 +547,8 @@ class FtsTemplateView(PGChildNodeView):
             old_data = res['rows'][0]
 
             # If user has changed the schema then fetch new schema directly
-            # using its oid otherwise fetch old schema name using fts template oid
+            # using its oid otherwise fetch old schema name using
+            # fts template oid
             sql = render_template(
                 "/".join([self.template_path, 'schema.sql']),
                 data=data)
@@ -564,7 +579,9 @@ class FtsTemplateView(PGChildNodeView):
                 data=new_data, o_data=old_data
             )
             # Fetch sql query for modified data
-            return sql.strip('\n'), data['name'] if 'name' in data else old_data['name']
+            if 'name' in data:
+                return sql.strip('\n'), data['name']
+            return sql.strip('\n'), old_data['name']
         else:
             # Fetch schema name from schema oid
             sql = render_template("/".join([self.template_path, 'schema.sql']),
@@ -578,9 +595,11 @@ class FtsTemplateView(PGChildNodeView):
             new_data = data.copy()
             new_data['schema'] = schema
 
-            if 'tmpllexize' in new_data and \
-                            'name' in new_data and \
-                            'schema' in new_data:
+            if (
+                'tmpllexize' in new_data and
+                'name' in new_data and
+                'schema' in new_data
+            ):
                 sql = render_template("/".join([self.template_path,
                                                 'create.sql']),
                                       data=new_data,
@@ -667,15 +686,15 @@ class FtsTemplateView(PGChildNodeView):
         if not status:
             return internal_server_error(
                 gettext(
-                    "Could not generate reversed engineered query for the FTS Template.\n{0}").format(
-                    res
-                )
+                    "Could not generate reversed engineered query for the "
+                    "FTS Template.\n{0}").format(res)
             )
 
         if res is None:
             return gone(
                 gettext(
-                    "Could not generate reversed engineered query for FTS Template node.")
+                    "Could not generate reversed engineered query for "
+                    "FTS Template node.")
             )
 
         return ajax_response(response=res)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
index 022d1080..12c44a85 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
@@ -28,7 +28,8 @@ class FtsTemplateAddTestCase(BaseTestGenerator):
     scenarios = [
         # Fetching default URL for FTS template node.
         (
-        'Fetch FTS templates Node URL', dict(url='/browser/fts_template/obj/'))
+            'Fetch FTS templates Node URL',
+            dict(url='/browser/fts_template/obj/'))
     ]
 
     def runTest(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
index 2aac2c8a..fa64648f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_get.py
@@ -26,7 +26,9 @@ class FtsTemplateGetTestCase(BaseTestGenerator):
 
     scenarios = [
         # Fetching default URL for FTS template node.
-        ('Fetch FTS templates Node URL', dict(url='/browser/fts_template/obj/'))
+        ('Fetch FTS templates Node URL', dict(
+            url='/browser/fts_template/obj/')
+         )
     ]
 
     def setUp(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/utils.py
index f373ebe6..35c19a53 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/utils.py
@@ -30,17 +30,20 @@ def create_fts_template(server, db_name, schema_name, fts_temp_name):
                                        server['sslmode'])
         pg_cursor = connection.cursor()
 
-        query = "DROP TEXT SEARCH TEMPLATE IF EXISTS " + schema_name + "." + fts_temp_name
+        query = "DROP TEXT SEARCH TEMPLATE IF EXISTS " + schema_name + "." + \
+                fts_temp_name
         pg_cursor.execute(query)
 
-        query = "CREATE TEXT SEARCH TEMPLATE " + schema_name + "." + fts_temp_name + \
+        query = "CREATE TEXT SEARCH TEMPLATE " + schema_name + "." + \
+                fts_temp_name + \
                 "(INIT=dispell_init, LEXIZE=dispell_lexize)"
         pg_cursor.execute(query)
         connection.commit()
 
         # Get 'oid' from newly created template
         pg_cursor.execute("select oid from pg_catalog.pg_ts_template where "
-                          "tmplname = '%s' order by oid ASC limit 1" % fts_temp_name)
+                          "tmplname = '%s' order by oid ASC limit 1" %
+                          fts_temp_name)
 
         oid = pg_cursor.fetchone()
         fts_temp_id = ''
